Subject: Re: Problems with 1.3-ALPHA
To: None <port-mac68k@NetBSD.ORG, current-users@NetBSD.ORG>
From: Mark Andres <>
List: current-users
Date: 11/05/1997 08:58:36

Many, many people suggested:

> You'll have to manually reboot the machine...but the problem is that you
> need to upgrade the kernel first.  What has happened is that all of the
> syscall numbers have changed from 1.2 to 1.3 (well, many of them), so the
> newer binaries cannot interface with the older kernel.  Once you install a
> 1.3 kernel, everything should be just fine.

So I have done that and it works.  Thanks to everyone who wrote with

Umm, do you think someone could write up a quick README and toss it into
the various directories for people who are downloading the 1.3-ALPHA
snapshots?  Since it is critical that you install a 1.3-ALPHA kernel
before you upgrade, you might want to alert people to this fact.  Since I
saw no README in /pub/NetBSD/NetBSD-1.3_ALPHA/mac68k/snapshot I foolishly
assumed that no special instructions were needed to upgrade.

Mark Andres                  E-mail:
          Running NetBSD, 100% Microsoft Free!
Me: / NetBSD: /